summarylogtreecommitdiffstats
path: root/evernote-bin.install
diff options
context:
space:
mode:
authorKonrad Malik2021-07-29 10:37:44 +0200
committerKonrad Malik2021-07-29 10:37:44 +0200
commitddf7f9e04ce0148356bc4ccd2a57eddbcbb65598 (patch)
tree6cdfaf58550c28e9daa9c1d68d3782b5efb895ce /evernote-bin.install
downloadaur-evernote-bin.tar.gz
init
Diffstat (limited to 'evernote-bin.install')
-rw-r--r--evernote-bin.install29
1 files changed, 29 insertions, 0 deletions
diff --git a/evernote-bin.install b/evernote-bin.install
new file mode 100644
index 000000000000..269ebf6cce6e
--- /dev/null
+++ b/evernote-bin.install
@@ -0,0 +1,29 @@
+## arg 1: the new package version
+post_install() {
+ # Link to the binary
+ ln -sf '/opt/Evernote/evernote-client' '/usr/bin/evernote-client'
+
+ # SUID chrome-sandbox for Electron 5+
+ chmod 4755 '/opt/Evernote/chrome-sandbox' || true
+
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+pre_upgrade() {
+ post_remove $2
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+## arg 1: the old package version
+post_remove() {
+ # Delete the link to the binary
+ rm -f '/usr/bin/evernote-client'
+}